- [HTTP request](https://developers.google.com/pay/e-wallets-v1/google-e-wallets-api/getDisputeInquiryReport#body.HTTP_TEMPLATE)
- [Request body](https://developers.google.com/pay/e-wallets-v1/google-e-wallets-api/getDisputeInquiryReport#body.request_body)
  - [JSON representation](https://developers.google.com/pay/e-wallets-v1/google-e-wallets-api/getDisputeInquiryReport#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/pay/e-wallets-v1/google-e-wallets-api/getDisputeInquiryReport#body.response_body)
- [PaymentLookupCriteria](https://developers.google.com/pay/e-wallets-v1/google-e-wallets-api/getDisputeInquiryReport#PaymentLookupCriteria)
  - [JSON representation](https://developers.google.com/pay/e-wallets-v1/google-e-wallets-api/getDisputeInquiryReport#PaymentLookupCriteria.SCHEMA_REPRESENTATION)
- [ArnCriteria](https://developers.google.com/pay/e-wallets-v1/google-e-wallets-api/getDisputeInquiryReport#ArnCriteria)
  - [JSON representation](https://developers.google.com/pay/e-wallets-v1/google-e-wallets-api/getDisputeInquiryReport#ArnCriteria.SCHEMA_REPRESENTATION)
- [GoogleTransactionReferenceNumberCriteria](https://developers.google.com/pay/e-wallets-v1/google-e-wallets-api/getDisputeInquiryReport#GoogleTransactionReferenceNumberCriteria)
  - [JSON representation](https://developers.google.com/pay/e-wallets-v1/google-e-wallets-api/getDisputeInquiryReport#GoogleTransactionReferenceNumberCriteria.SCHEMA_REPRESENTATION)
- [CaptureRequestCriteria](https://developers.google.com/pay/e-wallets-v1/google-e-wallets-api/getDisputeInquiryReport#CaptureRequestCriteria)
  - [JSON representation](https://developers.google.com/pay/e-wallets-v1/google-e-wallets-api/getDisputeInquiryReport#CaptureRequestCriteria.SCHEMA_REPRESENTATION)
- [RequestOriginator](https://developers.google.com/pay/e-wallets-v1/google-e-wallets-api/getDisputeInquiryReport#RequestOriginator)
  - [JSON representation](https://developers.google.com/pay/e-wallets-v1/google-e-wallets-api/getDisputeInquiryReport#RequestOriginator.SCHEMA_REPRESENTATION)
- [GetDisputeInquiryReportResponse](https://developers.google.com/pay/e-wallets-v1/google-e-wallets-api/getDisputeInquiryReport#GetDisputeInquiryReportResponse)
  - [JSON representation](https://developers.google.com/pay/e-wallets-v1/google-e-wallets-api/getDisputeInquiryReport#GetDisputeInquiryReportResponse.SCHEMA_REPRESENTATION)
- [GetDisputeInquiryReportResultCode](https://developers.google.com/pay/e-wallets-v1/google-e-wallets-api/getDisputeInquiryReport#GetDisputeInquiryReportResultCode)
- [PurchaseReport](https://developers.google.com/pay/e-wallets-v1/google-e-wallets-api/getDisputeInquiryReport#PurchaseReport)
  - [JSON representation](https://developers.google.com/pay/e-wallets-v1/google-e-wallets-api/getDisputeInquiryReport#PurchaseReport.SCHEMA_REPRESENTATION)
- [CustomerAccount](https://developers.google.com/pay/e-wallets-v1/google-e-wallets-api/getDisputeInquiryReport#CustomerAccount)
  - [JSON representation](https://developers.google.com/pay/e-wallets-v1/google-e-wallets-api/getDisputeInquiryReport#CustomerAccount.SCHEMA_REPRESENTATION)
- [Order](https://developers.google.com/pay/e-wallets-v1/google-e-wallets-api/getDisputeInquiryReport#Order)
  - [JSON representation](https://developers.google.com/pay/e-wallets-v1/google-e-wallets-api/getDisputeInquiryReport#Order.SCHEMA_REPRESENTATION)
- [Item](https://developers.google.com/pay/e-wallets-v1/google-e-wallets-api/getDisputeInquiryReport#Item)
  - [JSON representation](https://developers.google.com/pay/e-wallets-v1/google-e-wallets-api/getDisputeInquiryReport#Item.SCHEMA_REPRESENTATION)
- [Tax](https://developers.google.com/pay/e-wallets-v1/google-e-wallets-api/getDisputeInquiryReport#Tax)
  - [JSON representation](https://developers.google.com/pay/e-wallets-v1/google-e-wallets-api/getDisputeInquiryReport#Tax.SCHEMA_REPRESENTATION)
- [Payment](https://developers.google.com/pay/e-wallets-v1/google-e-wallets-api/getDisputeInquiryReport#Payment)
  - [JSON representation](https://developers.google.com/pay/e-wallets-v1/google-e-wallets-api/getDisputeInquiryReport#Payment.SCHEMA_REPRESENTATION)
- [Refund](https://developers.google.com/pay/e-wallets-v1/google-e-wallets-api/getDisputeInquiryReport#Refund)
  - [JSON representation](https://developers.google.com/pay/e-wallets-v1/google-e-wallets-api/getDisputeInquiryReport#Refund.SCHEMA_REPRESENTATION)
- [PaymentCardDetails](https://developers.google.com/pay/e-wallets-v1/google-e-wallets-api/getDisputeInquiryReport#PaymentCardDetails)
  - [JSON representation](https://developers.google.com/pay/e-wallets-v1/google-e-wallets-api/getDisputeInquiryReport#PaymentCardDetails.SCHEMA_REPRESENTATION)
- [AuthResult](https://developers.google.com/pay/e-wallets-v1/google-e-wallets-api/getDisputeInquiryReport#AuthResult)

Get a report that provides information to facilitate a customer support conversation with a user regarding a potential dispute of a payment.

If the endpoint encounters an error while processing the request, the endpoint will return HTTP 4xx or 5xx and the HTTP body will either be of type [`ErrorResponse`](https://developers.google.com/pay/e-wallets-v1/payment-integrator-e-wallets-api/ErrorResponse) or contain a generic error (e.g. a message similar to "There was an error. Please try again later.").

The generic error is used in situations where an [`ErrorResponse`](https://developers.google.com/pay/e-wallets-v1/payment-integrator-e-wallets-api/ErrorResponse) with a clear description could be used to help an attacker understand the payment integrator account identifier of other integrators. In these situations, where either the signing key doesn't match, the payment integrator identifier was not found, or the encryption key was unknown, this method will return a generic error. If the request signature could be verified, additional information regarding the error will be returned in an [`ErrorResponse`](https://developers.google.com/pay/e-wallets-v1/payment-integrator-e-wallets-api/ErrorResponse).

An example request looks like:


    {
      "requestHeader": {
        "protocolVersion": {
          "major": 1,
          "minor": 1,
          "revision": 0
        },
        "requestId": "HsKv5pvtQKTtz7rdcw1YqE",
        "requestTimestamp": "1519996751331"
      },
      "paymentIntegratorAccountId": "InvisiCashUSA",
      "paymentLookupCriteria": {
        "googleTransactionReferenceNumberCriteria": {
          "googleTransactionReferenceNumber": "714545417102363157911822",
          "authorizationCode": "111111"
        }
      },
      "existingGoogleClaimId": "138431383281",
      "requestOriginator": {
        "organizationId": "ISSUER_256",
        "organizationDescription": "Community Bank of Some City",
        "agentId": "982749"
      }
    }

An example response looks like:


    {
      "responseHeader": {
        "responseTimestamp": "1519996752221"
      },
      "result": "SUCCESS",
      "googleClaimId": "138431383281",
      "report": {
        "customerAccount": {
          "customerEmail": "example@gmail.com",
          "customerName" : "Example Customer"
        },
        "order": {
          "timestamp": "1517992525972",
          "orderId": "SOP.8976-1234-1234-123456..99",
          "currencyCode": "USD",
          "subTotalAmount": "206990000",
          "totalAmount": "212990000",
          "shippingAddress": {
            "name": "Example Customer",
            "addressLine": ["123 Main St"],
            "localityName": "Springfield",
            "administrativeAreaName": "CO",
            "postalCodeNumber": "80309",
            "countryCode": "US"
          },
          "taxes": [
            {
              "description": "Colorado Sales Tax",
              "amount": "6000000"
            }
          ],
          "items": [
            {
              "description": "Super cool gizmo",
              "merchant": "HTC",
              "googleProductName": "Google Store",
              "quantity": "2",
              "totalPrice": "198000000"
            },
            {
              "description": "Gizmo charger",
              "merchant": "HTC",
              "googleProductName": "Google Store",
              "quantity": "1",
              "totalPrice": "8990000"
            }
          ]
        },
        "payment": {
          "billingAddress" : {
            "name": "Example Customer",
            "addressLine": ["123 Main St"],
            "localityName": "Springfield",
            "administrativeAreaName": "CO",
            "postalCodeNumber": "80309",
            "countryCode": "US"
          },
          "amount": "100000000",
          "refunds": [
            {
              "amount": "9250000",
              "initiatedTimestamp": "1518811245384"
            }
          ],
          "cardDetails": {
            "authResult": "APPROVED"
          }
        }
      }
    }

### HTTP request

`POST https://vgw.googleapis.com/gsp/e-wallets-v1/getDisputeInquiryReport/https://developers.google.com/pay/e-wallets-v1/reference/glossary#payment_integrator_account_id`

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "requestHeader": { object (https://developers.google.com/pay/e-wallets-v1/payment-integrator-e-wallets-api/RequestHeader) }, "paymentIntegratorAccountId": string, "paymentLookupCriteria": { object (`https://developers.google.com/pay/e-wallets-v1/google-e-wallets-api/getDisputeInquiryReport#PaymentLookupCriteria`) }, "existingGoogleClaimId": string, "requestOriginator": { object (`https://developers.google.com/pay/e-wallets-v1/google-e-wallets-api/getDisputeInquiryReport#RequestOriginator`) } } ``` |

| Fields ||
|---|---|
| `requestHeader` | `object (https://developers.google.com/pay/e-wallets-v1/payment-integrator-e-wallets-api/RequestHeader)` **REQUIRED**: Common header for all requests. |
| `paymentIntegratorAccountId` | `string` **REQUIRED**: The payment integrator account identifier that identifies the caller and associated contractual constraints for this interaction. |
| `paymentLookupCriteria` | ``object (`https://developers.google.com/pay/e-wallets-v1/google-e-wallets-api/getDisputeInquiryReport#PaymentLookupCriteria`)`` **REQUIRED**: Criteria indicating the payment that is to be looked up for this inquiry. |
| `existingGoogleClaimId` | `string` **OPTIONAL** : A Google-generated string returned by a previous call to `getDisputeInquiryReport` that uniquely identifies this customer dispute claim. If this is not present, a new claim ID will be be generated. The caller may provide a `googleClaimId` that was returned by a previous call to `getDisputeInquiryReport` if it is a continuation of the same customer dispute. The claim ID that is populated here or generated will be returned in the response's `googleClaimId` field. It is not valid to provide a `googleClaimId` that wasn't returned by a previous call to `getDisputeInquiryReport`. If this occurs, HTTP 400 Bad Request will be returned. |
| `requestOriginator` | ``object (`https://developers.google.com/pay/e-wallets-v1/google-e-wallets-api/getDisputeInquiryReport#RequestOriginator`)`` **REQUIRED**: Information about the organization or organizational sub-group that originated this request. |

### Response body

This method supports multiple return types. For additional information about what 4XX or 5XX HTTP status code to return with an `ErrorResponse`, consult the `ErrorResponse` object and [HTTP status codes documentation](https://developers.google.com/pay/e-wallets-v1/guides/connectivity/protocol-standards#http_status_codes).

| Possible response messages ||
|---|---|
| HTTP 200 Status | ``object (`https://developers.google.com/pay/e-wallets-v1/google-e-wallets-api/getDisputeInquiryReport#GetDisputeInquiryReportResponse`)`` |
| HTTP 4XX / 5XX Status | `object (https://developers.google.com/pay/e-wallets-v1/payment-integrator-e-wallets-api/ErrorResponse)` |
| End of mutually exclusive fields. ||

## PaymentLookupCriteria

Container for criteria that can uniquely lookup a payment. One (and only one) member field must be populated.

| JSON representation |
|---|
| ``` { // The following is a list of mutually exclusive fields. At most one of the // fields will be set in a response: "arnCriteria": { object (`https://developers.google.com/pay/e-wallets-v1/google-e-wallets-api/getDisputeInquiryReport#ArnCriteria`) }, "googleTransactionReferenceNumberCriteria": { object (`https://developers.google.com/pay/e-wallets-v1/google-e-wallets-api/getDisputeInquiryReport#GoogleTransactionReferenceNumberCriteria`) }, "captureRequestCriteria": { object (`https://developers.google.com/pay/e-wallets-v1/google-e-wallets-api/getDisputeInquiryReport#CaptureRequestCriteria`) } // End of mutually exclusive fields. } ``` |

| Fields ||
|---|---|
| **REQUIRED**: The criteria used to look up the payment. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response: ||
| `arnCriteria` | ``object (`https://developers.google.com/pay/e-wallets-v1/google-e-wallets-api/getDisputeInquiryReport#ArnCriteria`)`` Lookup based on Acquirer Reference Number (ARN). |
| `googleTransactionReferenceNumberCriteria` | ``object (`https://developers.google.com/pay/e-wallets-v1/google-e-wallets-api/getDisputeInquiryReport#GoogleTransactionReferenceNumberCriteria`)`` Lookup based on the Google Transaction Reference Number. |
| `captureRequestCriteria` | ``object (`https://developers.google.com/pay/e-wallets-v1/google-e-wallets-api/getDisputeInquiryReport#CaptureRequestCriteria`)`` Lookup based on the Capture Request ID. |
| End of mutually exclusive fields. ||

## ArnCriteria

Payment lookup criteria based on Acquirer Reference Number (ARN).

| JSON representation |
|---|
| ``` { "acquirerReferenceNumber": string, "authorizationCode": string } ``` |

| Fields ||
|---|---|
| `acquirerReferenceNumber` | `string` **REQUIRED**: The Acquirer Reference Number (ARN) that uniquely identifies the payment. Must be 23 digits long. |
| `authorizationCode` | `string` **REQUIRED**: The Authorization Code for the transaction. |

## GoogleTransactionReferenceNumberCriteria

Payment lookup criteria based on the Google-generated Transaction Reference Number.

| JSON representation |
|---|
| ``` { "googleTransactionReferenceNumber": string, "authorizationCode": string } ``` |

| Fields ||
|---|---|
| `googleTransactionReferenceNumber` | `string` **REQUIRED**: The Google-generated Transaction Reference Number that uniquely identifies the payment. |
| `authorizationCode` | `string` **REQUIRED**: The Authorization Code for the transaction. |

## CaptureRequestCriteria

Payment lookup criteria based on Capture Request ID

| JSON representation |
|---|
| ``` { "captureRequestId": string } ``` |

| Fields ||
|---|---|
| `captureRequestId` | `string` **REQUIRED** : A unique identifier for this transaction. This is the `requestId` generated by Google during the `capture` call which is being looked up. |

## RequestOriginator

Information about the organization or organizational sub-group, and optionally the employee, from which this request originated. This allows Google to identify issues or abuse and implement controls at a finer-grained level than the `paymentIntegratorAccountId`. It is especially valuable when the caller is an intermediary service provider that sources requests from multiple external clients.

| JSON representation |
|---|
| ``` { "organizationId": string, "organizationDescription": string, "agentId": string } ``` |

| Fields ||
|---|---|
| `organizationId` | `string` **REQUIRED** : An identifier of the company, organization, or organizational group from which this request originated. Must be unique within this `paymentIntegratorAccountId`. |
| `organizationDescription` | `string` **REQUIRED**: A human-readable name or description of the organization that can be used to ease communication between employees of Google and the integrator regarding that organization. |
| `agentId` | `string` **OPTIONAL** : A unique identifier for the specific agent (employee) of the organization identified by `organizationId` from whom this request originated. Must be unique within this `organizationId`. |

## GetDisputeInquiryReportResponse

Response payload for the `getDisputeInquiryReport` method.

| JSON representation |
|---|
| ``` { "responseHeader": { object (https://developers.google.com/pay/e-wallets-v1/payment-integrator-e-wallets-api/ResponseHeader) }, "result": enum (`https://developers.google.com/pay/e-wallets-v1/google-e-wallets-api/getDisputeInquiryReport#GetDisputeInquiryReportResultCode`), "googleClaimId": string, "report": { object (`https://developers.google.com/pay/e-wallets-v1/google-e-wallets-api/getDisputeInquiryReport#PurchaseReport`) } } ``` |

| Fields ||
|---|---|
| `responseHeader` | `object (https://developers.google.com/pay/e-wallets-v1/payment-integrator-e-wallets-api/ResponseHeader)` **REQUIRED**: Common header for all responses. |
| `result` | ``enum (`https://developers.google.com/pay/e-wallets-v1/google-e-wallets-api/getDisputeInquiryReport#GetDisputeInquiryReportResultCode`)`` **REQUIRED**: Result of this call. |
| `googleClaimId` | `string` **OPTIONAL** : A Google-generated string that uniquely identifies this customer dispute. (Present if and only if `result` is SUCCESS.) If `existingGoogleClaimId` was populated in the request, this will be the same value. Otherwise, it will be a newly generated value. This value can be provided in future `getDisputeInquiryReport` requests if they are part of the same customer dispute. |
| `report` | ``object (`https://developers.google.com/pay/e-wallets-v1/google-e-wallets-api/getDisputeInquiryReport#PurchaseReport`)`` **OPTIONAL** : Details relevant to the dispute of the payment identified in the request. (Present if and only if `result` is SUCCESS.) |

## GetDisputeInquiryReportResultCode

The result of the `getDisputeInquiryReport` method call.

| Enums ||
|---|---|
| `UNKNOWN_RESULT` | Do not ever set this default value! |
| `SUCCESS` | The payment was found and a report is provided. |
| `PAYMENT_NOT_FOUND` | The requested payment was not found. |
| `PAYMENT_TOO_OLD` | The requested payment was found, but a report was not provided due to the age of the payment. |
| `ORDER_CANNOT_BE_RETURNED` | The requested payment belongs to an order that exists, but cannot be returned. Reasons include cases where the order was removed at the request of its owner. > [!NOTE] > **Note:** that this is a permanent state. |
| `NO_ADDITIONAL_DETAILS` | The requested payment was found, but a report is not available. |

## PurchaseReport

A report containing relevant details of the purchase associated with the requested payment.

| JSON representation |
|---|
| ``` { "customerAccount": { object (`https://developers.google.com/pay/e-wallets-v1/google-e-wallets-api/getDisputeInquiryReport#CustomerAccount`) }, "order": { object (`https://developers.google.com/pay/e-wallets-v1/google-e-wallets-api/getDisputeInquiryReport#Order`) }, "payment": { object (`https://developers.google.com/pay/e-wallets-v1/google-e-wallets-api/getDisputeInquiryReport#Payment`) } } ``` |

| Fields ||
|---|---|
| `customerAccount` | ``object (`https://developers.google.com/pay/e-wallets-v1/google-e-wallets-api/getDisputeInquiryReport#CustomerAccount`)`` **REQUIRED**: Information regarding the customer and their account. |
| `order` | ``object (`https://developers.google.com/pay/e-wallets-v1/google-e-wallets-api/getDisputeInquiryReport#Order`)`` **REQUIRED**: Information regarding the order on which the payment was made. |
| `payment` | ``object (`https://developers.google.com/pay/e-wallets-v1/google-e-wallets-api/getDisputeInquiryReport#Payment`)`` **OPTIONAL**: Information regarding the payment. Note: Multiple payments are possible on a single order, but this will only contain info for the payment that was identified in the original request. Not available for all order types. |

## CustomerAccount

Information about the customer's account

| JSON representation |
|---|
| ``` { "customerEmail": string, "customerName": string } ``` |

| Fields ||
|---|---|
| `customerEmail` | `string` **REQUIRED**: The email address associated with the customer's Google account. |
| `customerName` | `string` **REQUIRED**: The customer's name. |

## Order

Information about the order.

| JSON representation |
|---|
| ``` { "timestamp": string, "orderId": string, "currencyCode": string, "subTotalAmount": string, "totalAmount": string, "shippingAddress": { object (https://developers.google.com/pay/e-wallets-v1/payment-integrator-e-wallets-api/reserveFunds#Address) }, "items": [ { object (`https://developers.google.com/pay/e-wallets-v1/google-e-wallets-api/getDisputeInquiryReport#Item`) } ], "taxes": [ { object (`https://developers.google.com/pay/e-wallets-v1/google-e-wallets-api/getDisputeInquiryReport#Tax`) } ] } ``` |

| Fields ||
|---|---|
| `timestamp` | `string (https://developers.google.com/discovery/v1/type-format format)` **OPTIONAL**: Timestamp of when the order was made, represented as milliseconds since epoch. Not available for all order types. |
| `orderId` | `string` **OPTIONAL**: A string uniquely identifying this order. Not available for all order types. |
| `currencyCode` | `string` **OPTIONAL**: ISO 4217 3-letter currency code for all amounts in this order. Not available for all order types. |
| `subTotalAmount` | `string (https://developers.google.com/discovery/v1/type-format format)` **OPTIONAL** : Total amount of this order before tax, represented as [micros](https://developers.google.com/pay/e-wallets-v1/reference/glossary#micros "What are micros?") of the currency specified in `order.currencyCode`. This is equal to `SUM(items.totalPrice)`. Not available for all order types. |
| `totalAmount` | `string (https://developers.google.com/discovery/v1/type-format format)` **OPTIONAL** : Total amount of this order including tax, represented as [micros](https://developers.google.com/pay/e-wallets-v1/reference/glossary#micros "What are micros?") of the currency specified in `order.currencyCode`. This is equal to `subTotalAmount + SUM(taxes.amount)`. Not available for all order types. |
| `shippingAddress` | `object (https://developers.google.com/pay/e-wallets-v1/payment-integrator-e-wallets-api/reserveFunds#Address)` **OPTIONAL**: Shipping address for physical items in this order. |
| `items[]` | ``object (`https://developers.google.com/pay/e-wallets-v1/google-e-wallets-api/getDisputeInquiryReport#Item`)`` **REQUIRED**: List of items that were part of this order. |
| `taxes[]` | ``object (`https://developers.google.com/pay/e-wallets-v1/google-e-wallets-api/getDisputeInquiryReport#Tax`)`` **REQUIRED**: List of items that were part of this order. This list may be empty. |

## Item

Information about an item in the order.

| JSON representation |
|---|
| ``` { "description": string, "merchant": string, "quantity": string, "totalPrice": string, "googleProductName": string } ``` |

| Fields ||
|---|---|
| `description` | `string` **OPTIONAL**: A description of the item that was purchased. Not available for all order types. |
| `merchant` | `string` **REQUIRED**: The seller, artist, or maker of the item. |
| `quantity` | `string (https://developers.google.com/discovery/v1/type-format format)` **OPTIONAL**: The quantity that were ordered of this item. This field will be omitted if integer quantities are not applicable to the product (metered products may have fractional quantities for example). |
| `totalPrice` | `string (https://developers.google.com/discovery/v1/type-format format)` **OPTIONAL** : The total price of this item, represented as [micros](https://developers.google.com/pay/e-wallets-v1/reference/glossary#micros "What are micros?") of the currency specified in `order.currencyCode`. If `quantity` is populated, this reflects the total price of the entire quantity. Not available for all order types. |
| `googleProductName` | `string` **REQUIRED**: Name of Google product service for the item. |

## Tax

Information about a tax that applies to this order.

| JSON representation |
|---|
| ``` { "description": string, "amount": string } ``` |

| Fields ||
|---|---|
| `description` | `string` **REQUIRED**: A description of the tax. |
| `amount` | `string (https://developers.google.com/discovery/v1/type-format format)` **REQUIRED** : The amount of the tax, represented as [micros](https://developers.google.com/pay/e-wallets-v1/reference/glossary#micros "What are micros?") of the currency specified in `order.currencyCode`. |

## Payment

Information about the payment.

| JSON representation |
|---|
| ``` { "billingAddress": { object (https://developers.google.com/pay/e-wallets-v1/payment-integrator-e-wallets-api/reserveFunds#Address) }, "amount": string, "refunds": [ { object (`https://developers.google.com/pay/e-wallets-v1/google-e-wallets-api/getDisputeInquiryReport#Refund`) } ], // The following is a list of mutually exclusive fields. At most one of the // fields will be set in a response: "cardDetails": { object (`https://developers.google.com/pay/e-wallets-v1/google-e-wallets-api/getDisputeInquiryReport#PaymentCardDetails`) } // End of mutually exclusive fields. } ``` |

| Fields ||
|---|---|
| `billingAddress` | `object (https://developers.google.com/pay/e-wallets-v1/payment-integrator-e-wallets-api/reserveFunds#Address)` **REQUIRED**: Billing address for this payment. |
| `amount` | `string (https://developers.google.com/discovery/v1/type-format format)` **REQUIRED** : Amount of this payment, represented as [micros](https://developers.google.com/pay/e-wallets-v1/reference/glossary#micros "What are micros?") of the currency specified in `order.currencyCode`. Note: This may not match the `order.totalAmount` if the order was paid by way of multiple payments. |
| `refunds[]` | ``object (`https://developers.google.com/pay/e-wallets-v1/google-e-wallets-api/getDisputeInquiryReport#Refund`)`` **REQUIRED**: List of refunds made to this payment. This list may be empty. |
| **OPTIONAL**: Details specific to the form of payment used for the payment. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response: ||
| `cardDetails` | ``object (`https://developers.google.com/pay/e-wallets-v1/google-e-wallets-api/getDisputeInquiryReport#PaymentCardDetails`)`` Payment details specific to credit \& debit card FoPs. |
| End of mutually exclusive fields. ||

## Refund

Information about a refund made on a payment.

| JSON representation |
|---|
| ``` { "amount": string, "initiatedTimestamp": string } ``` |

| Fields ||
|---|---|
| `amount` | `string (https://developers.google.com/discovery/v1/type-format format)` **REQUIRED** : The amount refunded, a positive number of [micros](https://developers.google.com/pay/e-wallets-v1/reference/glossary#micros "What are micros?") of the currency specified in `order.currencyCode`. |
| `initiatedTimestamp` | `string (https://developers.google.com/discovery/v1/type-format format)` **REQUIRED**: Timestamp of when the refund was initiated, represented as milliseconds since epoch. |

## PaymentCardDetails

Payment details specific to credit \& debit cards.

| JSON representation |
|---|
| ``` { "authResult": enum (`https://developers.google.com/pay/e-wallets-v1/google-e-wallets-api/getDisputeInquiryReport#AuthResult`) } ``` |

| Fields ||
|---|---|
| `authResult` | ``enum (`https://developers.google.com/pay/e-wallets-v1/google-e-wallets-api/getDisputeInquiryReport#AuthResult`)`` **REQUIRED**: Result of payment auth. |

## AuthResult

Payment auth results.

| Enums ||
|---|---|
| `UNKNOWN_RESULT` | Do not ever set this default value! |
| `APPROVED` | Auth Approved. |
| `DENIED` | Auth denied. |
| `NOT_ATTEMPTED` | Auth not attempted. |